#!/bin/sh

# Clear initial_internet_state_sent, icd2 will turn it on on startup
gconftool-2 --unset /system/osso/connectivity/initial_internet_state_sent

# Clear restricted mode flag
gconftool-2 --unset /system/osso/connectivity/network_type/restricted_mode

# Remove all known IAPs
gconftool-2 --recursive-unset /system/osso/connectivity/IAP

# Restore IAP default settings if found
for i in /usr/share/maemo-wlan-network-settings-*/maemo-wlan-network-settings.xml
do
  gconftool-2 --load $i
done

